# Standards: 0.11
---

# 9.3.14 - Ensure SSH LoginGraceTime is set to one minute or less

- include: stat_sshd_config.yml
  tags:
    - level-1
    - section-9
    - "9.3.14"
    - scored

- name: 9.3.14 - Ensure SSH LoginGraceTime is set to one minute or less
  lineinfile:
    regexp: "^LoginGraceTime\\s+"
    line: "LoginGraceTime {{ cis_sshd_login_grace_time }}"
    dest: "/etc/ssh/sshd_config"
  when: sshd_config.stat.exists
  notify:
    - Restart sshd
  tags:
    - level-1
    - section-9
    - "9.3.14"
    - scored